<?php
// Создаем тип товара
$data_types=H."/#dat/types.dat";
if(file_exists($data_types) and is_file($data_types))
{
$types_t=file($data_types);
$types=array();
foreach($types_t as $k=>$v)
{
  if($v!='')
  {
    $x_t=explode('#',trim($v));
    $types[$x_t[0]]=$x_t[1];
  }
}
}else{
$types_data=mysql_query("SELECT `type`,`type_name` FROM `tovar` GROUP BY `type`");//
  if(mysql_num_rows($types_data))
    {
    $t_file='';
       while($data=mysql_fetch_assoc($types_data))
        {
          $types[$data['type']]=$data['type_name'];
          $t_file.="\r\n$data[type]#$data[type_name]";
        }
    $t_file=trim($t_file); file_put_contents($data_types,$t_file);
    }
}
//
$_SESSION['title']="Новый тип товаров ";
heads($headers_page, $set_ob_start);   //подключение шапки    tovar
echo "<div class='c03'>";
echo "Существующие типы<br /> ";
  foreach($types as $k=>$v)
  {
    echo $k." - ".$v."<br />";
  }
if(isset($_POST['saved']))
{
$errors='';
// $type
if(!preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['type'])){$errors.="В коде типа присутствуют запрещенные символы! ";$type='';}else{$type=ft_nic($_POST['type']);}
if(strlen2($type)<3 or strlen2($type)>32){$errors.="Неверная длина типа товара! ";}
// $type_name
$type_name=ft_nic($_POST['type_name']);
if(strlen2($type_name)<3 or strlen2($type_name)>64){$errors.="Неверная длина наименования типа товара! ";}
//  Проверка на уникальность
$unic_type=true; $unic_type_name=true;
foreach($types as $k=>$v)
{
if($k==$type){$unic_type=false;}
if($v==$type_name){$unic_type_name=false;}
}
if(!$unic_type){$errors.="Такой тип уже существует! ";}
if(!$unic_type_name){$errors.="Имя типа уже используется! ";}
  if ($errors=='')
    {
      $t_file=trim(file_get_contents($data_types));
      $t_file.="\r\n$type#$type_name";
      $t_file=trim($t_file); file_put_contents($data_types,$t_file);
      header("Location: ?l=newtype"); exit;
    }else {echo "<div class='errh'>$errors</div>";}
//
}else{ 
echo "</div>";
echo "<form class='c07' action='' method='post'>";
echo "Новый тип товаров <br /> <input type='text' name='type' value='' />";
echo " <br />Наименование типа<br /><input type='text' name='type_name' value='' />";
echo "<br /> <input type='submit' name='saved' value='создать' />";
echo "</form>";}
echo "<div class='c03'><a href='?l=tovars'>товары </a> <a href='?l=newtype'>Новый тип </a></div>";

?>